1.1
1.1
get /v1/buckets/{bucket_id}/objects
Description
List Bucket Objects
State ACTIVE (CURRENT)
| Version | Supported Until |
|---|---|
| 1.1 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | bucket_id required | Bucket ID Example : 138c2-fc8c2-9a449-dbfa86-81f8f-1d78e2 | string | None |
| query | marker optional | Marker Example : TODO.txt | any of [string, null] | None |
| query | object_path optional | Object Path Example : / | any of [string, null] | None |
| query | object_name optional | Object Name Example : hello/TODO.txt | any of [string, null] | None |
| query | object_type optional | Object Type Example : FILE | any of [string, null] | None |
| query | limit optional | Limit Example : 20 | any of [integer, null] | 200 |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | ObjectListResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/buckets/{bucket_id}/objects
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = archivestorage 1.1"
Example HTTP response
Response 200
{
"count": 1,
"marker": "TODO.txt",
"is_truncated": true,
"contents": [
{
"object_name": "hello/TODO.txt",
"object_type": "FILE",
"object_size": "3581",
"modified_at": "2025-04-09T05:54:46.244000+00:00"
}
]
}